Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit.strategy
Class SpringStandaloneJtaSharedEntityManagerStrategy

    java.lang.Object
      org.jbpm.process.audit.strategy.StandaloneJtaStrategy
          org.jbpm.process.audit.strategy.SpringStandaloneJtaSharedEntityManagerStrategy

All Implemented Interfaces:
  PersistenceStrategy

    public class SpringStandaloneJtaSharedEntityManagerStrategy

extends StandaloneJtaStrategy

Field Summary

Fields inherited from class org.jbpm.process.audit.strategy.StandaloneJtaStrategy
`emf`

Constructor Summary
`SpringStandaloneJtaSharedEntityManagerStrategy(javax.persistence.EntityManager em)`
`SpringStandaloneJtaSharedEntityManagerStrategy(javax.persistence.EntityManagerFactory emf)`

Method Summary
`javax.persistence.EntityManager` | `getEntityManager()`
`Object` | `joinTransaction(javax.persistence.EntityManager em)`
`void` | `leaveTransaction(javax.persistence.EntityManager em, Object transaction)`

Methods inherited from class org.jbpm.process.audit.strategy.StandaloneJtaStrategy
`commitTransaction, dispose, findUserTransaction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringStandaloneJtaSharedEntityManagerStrategy

    public SpringStandaloneJtaSharedEntityManagerStrategy(javax.persistence.EntityManagerFactory emf)

### SpringStandaloneJtaSharedEntityManagerStrategy

    public SpringStandaloneJtaSharedEntityManagerStrategy(javax.persistence.EntityManager em)

Method Detail

### getEntityManager

    public javax.persistence.EntityManager getEntityManager()

  Specified by:
    `getEntityManager` in interface `PersistenceStrategy`
  Overrides:
    `getEntityManager` in class `StandaloneJtaStrategy`

### leaveTransaction

    public void leaveTransaction(javax.persistence.EntityManager em,
                                 Object transaction)

  Specified by:
    `leaveTransaction` in interface `PersistenceStrategy`
  Overrides:
    `leaveTransaction` in class `StandaloneJtaStrategy`

### joinTransaction

    public Object joinTransaction(javax.persistence.EntityManager em)

  Specified by:
    `joinTransaction` in interface `PersistenceStrategy`
  Overrides:
    `joinTransaction` in class `StandaloneJtaStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.